<!doctype html>
<html lang="en">
<head>
    <title>Code coverage report for All files</title>
    <meta charset="utf-8" />
    <link rel="stylesheet" href="prettify.css" />
    <link rel="stylesheet" href="base.css" />
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <style type='text/css'>
        .coverage-summary .sorter {
            background-image: url(sort-arrow-sprite.png);
        }
    </style>
</head>
<body>
<div class='wrapper'>
  <div class='pad1'>
    <h1>
      All files
    </h1>
    <div class='clearfix'>
      <div class='fl pad1y space-right2'>
        <span class="strong">87.66% </span>
        <span class="quiet">Statements</span>
        <span class='fraction'>625/713</span>
      </div>
      <div class='fl pad1y space-right2'>
        <span class="strong">60% </span>
        <span class="quiet">Branches</span>
        <span class='fraction'>75/125</span>
      </div>
      <div class='fl pad1y space-right2'>
        <span class="strong">92.25% </span>
        <span class="quiet">Functions</span>
        <span class='fraction'>131/142</span>
      </div>
      <div class='fl pad1y space-right2'>
        <span class="strong">87.66% </span>
        <span class="quiet">Lines</span>
        <span class='fraction'>625/713</span>
      </div>
    </div>
    <p class="quiet">
      Press <em>n</em> or <em>j</em> to go to the next uncovered block, <em>b</em>, <em>p</em> or <em>k</em> for the previous block.
    </p>
  </div>
  <div class='status-line high'></div>
<div class="pad1">
<table class="coverage-summary">
<thead>
<tr>
   <th data-col="file" data-fmt="html" data-html="true" class="file">File</th>
   <th data-col="pic" data-type="number" data-fmt="html" data-html="true" class="pic"></th>
   <th data-col="statements" data-type="number" data-fmt="pct" class="pct">Statements</th>
   <th data-col="statements_raw" data-type="number" data-fmt="html" class="abs"></th>
   <th data-col="branches" data-type="number" data-fmt="pct" class="pct">Branches</th>
   <th data-col="branches_raw" data-type="number" data-fmt="html" class="abs"></th>
   <th data-col="functions" data-type="number" data-fmt="pct" class="pct">Functions</th>
   <th data-col="functions_raw" data-type="number" data-fmt="html" class="abs"></th>
   <th data-col="lines" data-type="number" data-fmt="pct" class="pct">Lines</th>
   <th data-col="lines_raw" data-type="number" data-fmt="html" class="abs"></th>
</tr>
</thead>
<tbody><tr>
	<td class="file high" data-value="server"><a href="server/index.html">server</a></td>
	<td data-value="100" class="pic high"><div class="chart"><div class="cover-fill cover-full" style="width: 100%;"></div><div class="cover-empty" style="width:0%;"></div></div></td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="20" class="abs high">20/20</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="0" class="abs high">0/0</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="0" class="abs high">0/0</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="20" class="abs high">20/20</td>
	</tr>

<tr>
	<td class="file high" data-value="server/ApplicationTier/Exceptions"><a href="server/ApplicationTier/Exceptions/index.html">server/ApplicationTier/Exceptions</a></td>
	<td data-value="83.33" class="pic high"><div class="chart"><div class="cover-fill" style="width: 83%;"></div><div class="cover-empty" style="width:17%;"></div></div></td>
	<td data-value="83.33" class="pct high">83.33%</td>
	<td data-value="42" class="abs high">35/42</td>
	<td data-value="14.29" class="pct low">14.29%</td>
	<td data-value="7" class="abs low">1/7</td>
	<td data-value="88.89" class="pct high">88.89%</td>
	<td data-value="9" class="abs high">8/9</td>
	<td data-value="83.33" class="pct high">83.33%</td>
	<td data-value="42" class="abs high">35/42</td>
	</tr>

<tr>
	<td class="file high" data-value="server/ApplicationTier/FileGenerator/CodeGenerator"><a href="server/ApplicationTier/FileGenerator/CodeGenerator/index.html">server/ApplicationTier/FileGenerator/CodeGenerator</a></td>
	<td data-value="94.74" class="pic high"><div class="chart"><div class="cover-fill" style="width: 94%;"></div><div class="cover-empty" style="width:6%;"></div></div></td>
	<td data-value="94.74" class="pct high">94.74%</td>
	<td data-value="19" class="abs high">18/19</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="0" class="abs high">0/0</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="5" class="abs high">5/5</td>
	<td data-value="94.74" class="pct high">94.74%</td>
	<td data-value="19" class="abs high">18/19</td>
	</tr>

<tr>
	<td class="file high" data-value="server/ApplicationTier/FileGenerator/JavaGenerator"><a href="server/ApplicationTier/FileGenerator/JavaGenerator/index.html">server/ApplicationTier/FileGenerator/JavaGenerator</a></td>
	<td data-value="97.4" class="pic high"><div class="chart"><div class="cover-fill" style="width: 97%;"></div><div class="cover-empty" style="width:3%;"></div></div></td>
	<td data-value="97.4" class="pct high">97.4%</td>
	<td data-value="308" class="abs high">300/308</td>
	<td data-value="75" class="pct medium">75%</td>
	<td data-value="48" class="abs medium">36/48</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="59" class="abs high">59/59</td>
	<td data-value="97.4" class="pct high">97.4%</td>
	<td data-value="308" class="abs high">300/308</td>
	</tr>

<tr>
	<td class="file high" data-value="server/ApplicationTier/FileGenerator/SqlGenerator"><a href="server/ApplicationTier/FileGenerator/SqlGenerator/index.html">server/ApplicationTier/FileGenerator/SqlGenerator</a></td>
	<td data-value="95.52" class="pic high"><div class="chart"><div class="cover-fill" style="width: 95%;"></div><div class="cover-empty" style="width:5%;"></div></div></td>
	<td data-value="95.52" class="pct high">95.52%</td>
	<td data-value="67" class="abs high">64/67</td>
	<td data-value="62.5" class="pct medium">62.5%</td>
	<td data-value="8" class="abs medium">5/8</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="15" class="abs high">15/15</td>
	<td data-value="95.52" class="pct high">95.52%</td>
	<td data-value="67" class="abs high">64/67</td>
	</tr>

<tr>
	<td class="file high" data-value="server/PresentationTier/CodegenRoute"><a href="server/PresentationTier/CodegenRoute/index.html">server/PresentationTier/CodegenRoute</a></td>
	<td data-value="85.19" class="pic high"><div class="chart"><div class="cover-fill" style="width: 85%;"></div><div class="cover-empty" style="width:15%;"></div></div></td>
	<td data-value="85.19" class="pct high">85.19%</td>
	<td data-value="162" class="abs high">138/162</td>
	<td data-value="55.77" class="pct medium">55.77%</td>
	<td data-value="52" class="abs medium">29/52</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="32" class="abs high">32/32</td>
	<td data-value="85.19" class="pct high">85.19%</td>
	<td data-value="162" class="abs high">138/162</td>
	</tr>

<tr>
	<td class="file medium" data-value="server/PresentationTier/IronWorksMiddleware"><a href="server/PresentationTier/IronWorksMiddleware/index.html">server/PresentationTier/IronWorksMiddleware</a></td>
	<td data-value="65.63" class="pic medium"><div class="chart"><div class="cover-fill" style="width: 65%;"></div><div class="cover-empty" style="width:35%;"></div></div></td>
	<td data-value="65.63" class="pct medium">65.63%</td>
	<td data-value="32" class="abs medium">21/32</td>
	<td data-value="50" class="pct medium">50%</td>
	<td data-value="8" class="abs medium">4/8</td>
	<td data-value="57.14" class="pct medium">57.14%</td>
	<td data-value="7" class="abs medium">4/7</td>
	<td data-value="65.63" class="pct medium">65.63%</td>
	<td data-value="32" class="abs medium">21/32</td>
	</tr>

<tr>
	<td class="file low" data-value="server/utils"><a href="server/utils/index.html">server/utils</a></td>
	<td data-value="46.03" class="pic low"><div class="chart"><div class="cover-fill" style="width: 46%;"></div><div class="cover-empty" style="width:54%;"></div></div></td>
	<td data-value="46.03" class="pct low">46.03%</td>
	<td data-value="63" class="abs low">29/63</td>
	<td data-value="0" class="pct low">0%</td>
	<td data-value="2" class="abs low">0/2</td>
	<td data-value="53.33" class="pct medium">53.33%</td>
	<td data-value="15" class="abs medium">8/15</td>
	<td data-value="46.03" class="pct low">46.03%</td>
	<td data-value="63" class="abs low">29/63</td>
	</tr>

</tbody>
</table>
</div><div class='push'></div><!-- for sticky footer -->
</div><!-- /wrapper -->
<div class='footer quiet pad2 space-top1 center small'>
  Code coverage
  generated by <a href="https://istanbul.js.org/" target="_blank">istanbul</a> at Wed Aug 22 2018 19:19:37 GMT+0200 (CEST)
</div>
</div>
<script src="prettify.js"></script>
<script>
window.onload = function () {
        if (typeof prettyPrint === 'function') {
            prettyPrint();
        }
};
</script>
<script src="sorter.js"></script>
<script src="block-navigation.js"></script>
</body>
</html>
